use 5.010;
use TDB;
use DateTime;
use YAML;

my $schema = TDB->connect('dbi:SQLite:dbname=/tmp/test.sqlitedb');
$schema->deploy( { add_drop_table => 1 } );

use DBIx::Class::QueryLog;
use DBIx::Class::QueryLog::Analyzer;
my $ql = DBIx::Class::QueryLog->new;
$schema->storage->debugobj($ql);
$schema->storage->debug(1);


my $event = {
	name => 'event01',
	date => DateTime->now,
#    description => 'party',
};

# This inserts a row with:
#   "2009-02-07 09:00:00"
$schema->resultset('Event')->create( $event );

# but this generates sql which searches for:
#   "2009-02-07T09:00:00"
my ($e) = $schema->resultset('Event')->search( $event );


if( $e ) {
	say "found event : ";
    say " get_column : " . $e->get_column('date');
    say " get_inflated_columns : " . join(', ', $e->get_inflated_columns );
} else {
    say "NOT FOUND\n";
}

my $ana = DBIx::Class::QueryLog::Analyzer->new({querylog=>$ql});
my $q = $ana->get_sorted_queries;
for(@$q) {
    #say ref($_);
    say $_->{sql};
    say "params : " . join( ', ',  @{ $_->{params} } );
    say '--';
}
